Skip to main content
GET
/
api
/
v3
/
answer-engine
List Answer Engines
curl --request GET \
  --url https://api.nugen.in/api/v3/answer-engine \
  --header 'Authorization: Bearer <token>'
{
  "engines": [
    {
      "answer_engine_id": "<string>",
      "status": "<string>",
      "answer_engine_name": "<string>",
      "user_id": "<string>",
      "org_id": "<string>",
      "created_at": "<string>",
      "model_llm": "<string>",
      "model_embedding": "<string>",
      "model_reranker": "<string>",
      "system_prompt": "<string>",
      "temperature": 123,
      "max_tokens": 123,
      "document_count": 123,
      "chunk_count": 123,
      "doc_ids": [
        "<string>"
      ],
      "error_message": "<string>",
      "updated_at": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Returns a list of all answer engines

Response containing a list of all answer engines for the user.

engines
AnswerEngineData · object[]
required